Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize
Class Method

    java.lang.Object
      |
      +--org.apache.xml.serialize.Method

public final class Method
extends java.lang.Object

Version:
  $Revision: 1.4 $ $Date: 2002/01/29 01:15:20 $
Author:
  Assaf Arkin
See Also:
  `OutputFormat`

Field Summary
`static java.lang.String` | `FOP` The output method for FO documents as PDF.
`static java.lang.String` | `HTML` The output method for HTML documents.
`static java.lang.String` | `TEXT` The output method for text documents.
`static java.lang.String` | `XHTML` The output method for HTML documents as XHTML.
`static java.lang.String` | `XML` The output method for XML documents.

Constructor Summary
`Method()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML

    public static final java.lang.String XML

  The output method for XML documents.

### HTML

    public static final java.lang.String HTML

  The output method for HTML documents.

### XHTML

    public static final java.lang.String XHTML

  The output method for HTML documents as XHTML.

### TEXT

    public static final java.lang.String TEXT

  The output method for text documents.

### FOP

    public static final java.lang.String FOP

  The output method for FO documents as PDF.

Constructor Detail

### Method

    public Method()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.